%define upstream_name	 Image-Base
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Base class for loading, manipulating and saving images
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SU/SUMMER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildArch:  noarch

%description
This class should not be used directly. Known inheritors are Image::Xbm and
Image::Xpm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Image
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.170.0-10.mga9
+ Revision: 1804039
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.170.0-9.mga8
+ Revision: 1495049
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.170.0-8.mga7
+ Revision: 1268542
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.170.0-7.mga6
+ Revision: 1028455
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.170.0-6.mga6
+ Revision: 947578
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.170.0-5.mga5
+ Revision: 742054
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.170.0-4.mga5
+ Revision: 685115
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.170.0-3.mga4
+ Revision: 512358
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.170.0-2.mga3
+ Revision: 368709
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.170.0-1.mga3
+ Revision: 286194
- update to 1.17
+ jquelin <jquelin>
- update to 1.16

* Wed Feb 16 2011 jquelin <jquelin> 1.150.0-1.mga1
+ Revision: 52518
- update to 1.15

* Mon Jan 31 2011 dmorgan <dmorgan> 1.140.0-1.mga1
+ Revision: 45268
- New version

* Tue Jan 18 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 22497
- cleaning spec file
- imported package perl-Image-Base


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.120.0-1mdv2011.0
+ Revision: 601876
- update to new version 1.12
- update to new version 1.11

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2011.0
+ Revision: 402540
- update to 0.56

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.07-11mdv2009.0
+ Revision: 241485
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-9mdv2008.0
+ Revision: 86475
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-8mdv2007.0
- Rebuild

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-7mdk
- better summary and description
- spec cleanup
- better URL
- %%mkrel

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.07-6mdk 
- remove MANIFEST

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.07-5mdk
- fix buildrequires in a backward compatible way

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.07-4mdk 
- fix directory ownership (distlint)
- make test

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.07-3mdk 
- rpmbuildupdate aware

